<?php
/**
 * An interface for front-end database classes. The classes should prepare the
 * objects for saving in the database. So for server-bases database classes SQL
 * queries shall be generated and send to the backend classes. In case of local
 * file databases the object shall be serialized and (maybe) transparently
 * compressed before they got saved to a local file.
 *
 * @author		Roland Haeder <webmaster@mxchange.org>
 * @version		0.3.0
 * @copyright	Copyright(c) 2007, 2008 Roland Haeder, this is free software
 * @license		GNU GPL 3.0 or any newer version
 * @link 		http://www.mxchange.org
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
interface DatabaseFrontendInterface extends FrameworkDatabaseInterface {
	/**
	 * Loads data saved with saveObject from the database and re-creates a
	 * full object from it.
	 * If limitObject() was called before a new object ObjectContainer with
	 * all requested attributes will be returned instead.
	 *
	 * @return	Object	The fully re-created object or instance to
	 *					ObjectContainer
	 */
	function loadObject ();
}

// [EOF]
?>
