<?php
/**
 * General configuration. Do not touch this file! If you need different settings
 * create a config-local.php in this directory at and set your changed
 * configuration entries there.
 *
 * @author		Roland Haeder <webmaster@mxchange.org>
 * @version		0.0.0
 * @copyright	Copyright(c) 2007, 2008 Roland Haeder, this is free software
 * @license		GNU GPL 3.0 or any newer version
 * @link 		http://www.ship-simu.org
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

// Load the class from inc/config direktory
@require_once(dirname(__FILE__) . '/config/class_FrameworkConfiguration.php');

// Get a new configuration instance
$cfg = FrameworkConfiguration::createFrameworkConfiguration();

// CFG: SERVER-PATH
$cfg->definePath(dirname(dirname(__FILE__)) . '/'); // DON'T MISS THE TRAILING SLASH!!!

// CFG: DATABASE-TYPE
$cfg->defineDatabaseType('local');

// CFG: LOCAL-DB-PATH
$cfg->setConfigEntry('local_db_path', 'db/');

// CFG: TIME-ZONE
$cfg->setDefaultTimezone("Europe/Berlin");

// CFG: MAGIC-QUOTES-RUNTIME
$cfg->setMagicQuotesRuntime(false);

// CFG: PHP-SCRIPT-EXTENSION
$cfg->setConfigEntry('php_extension', ".php");

// CFG: CLASS-PREFIX
$cfg->setConfigEntry('class_prefix', "class_");

// CFG: CLASS-SUFFIX
$cfg->setConfigEntry('class_suffix', ".php");

// CFG: RAW-TEMPLATE-EXTENSION
$cfg->setConfigEntry('raw_template_extension', ".tpl");

// CFG: CODE-TEMPLATE-EXTENSION
$cfg->setConfigEntry('code_template_extension', ".ctp");

// CFG: SELECTOR-GET
$cfg->setConfigEntry('app_selector_get', "app");

// CFG: SELECTOR-PATH
$cfg->setConfigEntry('selector_path', "selector");

// CFG: APPLICATION-HELPER
$cfg->setConfigEntry('app_helper_class', "ApplicationHelper");

// CFG: LAUNCH-METHOD
$cfg->setConfigEntry('entry_method', "entryPoint");

// CFG: TEMPLATE-BASE-PATH
$cfg->setConfigEntry('tpl_base_path', "templates/"); // DON'T MISS THE TRAILING SLASH!

// CFG: LANGUAGE-BASE-PATH
$cfg->setConfigEntry('lang_base_path', "inc/language/"); // DON'T MISS THE TRAILING SLASH!

// CFG: COMPRESSOR-BASE-PATH
$cfg->setConfigEntry('compressor_base_path', "inc/classes/main/compressor/"); // DON'T MISS THE TRAILING SLASH!

// CFG: APPLICATION-PATH
$cfg->setConfigEntry('application_path', "application");

// CFG: COMPILE-OUTPUT-PATH
$cfg->setConfigEntry('compile_output_path', "templates/_compiled/"); // DON'T MISS THE TRAILING SLASH!

// CFG: TEMPLATE-ENGINE
$cfg->setConfigEntry('tpl_engine', "TemplateEngine");

// CFG: DEBUG-ENGINE
$cfg->setConfigEntry('debug_engine', "DebugWebOutput");

// CFG: DEFAULT-LANGUAGE
$cfg->setConfigEntry('default_lang', "de"); // A two-char language string: de for german, en for english and so on

// CFG: WEB-TEMPLATE-TYPE
$cfg->setConfigEntry('web_template_type', "html");

// CFG: EMAIL-TEMPLATE-TYPE
$cfg->setConfigEntry('email_template_type', "emails");

// CFG: CODE-TEMPLATE-TYPE
$cfg->setConfigEntry('code_template_type', "code");

// CFG: WEB-ENGINE
$cfg->setConfigEntry('web_engine', "WebOutput");

// CFG: SELECTOR-TEMPLATE-PREFIX
$cfg->setConfigEntry('tpl_selector_prefix', "selector");

// CFG: WEB-CONTENT-TYPE
$cfg->setConfigEntry('web_content_type', "text/html");

// CFG: VALID-TEMPLATE-VARIABLE
$cfg->setConfigEntry('tpl_valid_var', "content");

// CFG: META-AUTHOR
$cfg->setConfigEntry('meta_author', "Roland H&auml;der");

// CFG: META-PUBLISHER
$cfg->setConfigEntry('meta_publisher', "Roland H&auml;der");

// CFG: META-KEYWORDS
$cfg->setConfigEntry('meta_keywords', "test,test,test");

// CFG: META-DESCRIPTION
$cfg->setConfigEntry('meta_description', "A lame description for an application framework");

// CFG: SELECTOR-MAIN-TEMPLATE
$cfg->setConfigEntry('selector_main_tpl', "selector_main");

// CFG: SELECTOR-APPS-TEMPLATE
$cfg->setConfigEntry('selector_apps_tpl', "selector_apps");

// CFG: SELECTOR-NAME
$cfg->setConfigEntry('selector_name', "selector");

// CFG: DEFAULT-APPLICATION
$cfg->setConfigEntry('default_application', "selector");

// CFG: VERBOSE-LEVEL
$cfg->setConfigEntry('verbose_level', 0);

// [EOF]
?>
